Bug 116237 - gst-thumbnail eats all cpu when using nautilus
gst-thumbnail eats all cpu when using nautilus
Product: Fedora
Classification: Fedora
Component: nautilus-media (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
: 118856 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 08:26 EST by cheguaka
Modified: 2013-03-05 22:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-12 10:05:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xpti.dat gziped (29.51 KB, application/octet-stream)
2004-02-19 12:35 EST, cheguaka
no flags Details
Attach "ls -al /usr/lib > dir.txt" (17.81 KB, application/octet-stream)
2004-02-20 05:40 EST, cheguaka
no flags Details

  None (edit)
Description cheguaka 2004-02-19 08:26:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7a)
Gecko/20040217 Firefox/0.8

Description of problem:
When navigating a directory whith the file xpti.dat (firefox) the
systems is getting slower.

This error appear 

 (process:2583): CRITICAL **: file gstfilesink.c: line 332
(gst_filesink_handle_event): assertion `GST_FLAG_IS_SET (filesink,

And this procces finishes eating all cpu

gst-thumbnail file:///usr/lib/xpti.dat /tmp/.gnome_thumbnail.cbI0Er

If I wait time enough the system locks

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open nautilus
2. Browse a directory whith the file xpti.dat
3. wait enough

Actual Results:  System locks

Expected Results:  No system lock

Additional info:
Comment 1 Alexander Larsson 2004-02-19 12:25:50 EST
is xpti.dat large? If its not, can you attach it? Or otherwise put up
a link to it from somewhere?
Comment 2 cheguaka 2004-02-19 12:35:50 EST
Created attachment 97837 [details]
xpti.dat gziped

Sorry don't know how much is large... so i gziped the file.
Comment 3 cheguaka 2004-02-20 04:38:12 EST
Triying to reproduce the bug only with xpti.dat in the dir... No bug.
Bug insn't related to xpti.dat. If I delete xpti.dat of /usr/lib, bug 
occurs. But the procces is gst-thumbnail 
file:///usr/lib/compreg.dat /tmp/.gnome_thumbnail.HJw6KD . Perhaps, 
number of files in directory????

Attach "ls -al /usr/lib > dir.txt"

Yes... I uncompress firefox in /usr/lib instead /usr/lib/firefox 
because by default in fileroler isn't marked recreate folders (other 
bug for bugzilla????? o shoud i read options ???)
Comment 4 cheguaka 2004-02-20 05:40:53 EST
Created attachment 97854 [details]
Attach "ls -al /usr/lib > dir.txt"
Comment 5 cheguaka 2004-02-25 08:43:19 EST
Lot of updates here...

... nautilus-media-0.5.2-2 ...

Can't reproduce the bug

Comment 6 E Mair 2004-05-21 04:36:24 EDT
A gst-thumbnail process is currently just sitting there, using 100%
CPU after I used Nautilus in FC2. Seems like it's tried to preview
some video files, and doesn't time out long after I closed the last
Nautilus window.

I have specified in the horribly dumbed down "File management"
preference GUI that I don't want pictures over 100 kB to be
thumbnailed. Doesn't this coarse-grained setting also apply to video

Somebody please re-open this one.
Comment 7 Jason Cortezzo 2004-05-25 12:43:36 EDT
I'm having a similar problem.

1. log in as userA
2. use nautilus to browse to a directory with images and video clips
of various formats
3. log userA out
4. log userB in
5. gst-thumbnail is using 98% CPU running in a process owned by userA
with PPID 1.

I upgraded from FC1 to FC2.
Comment 8 Zuirdj 2004-06-23 02:22:50 EDT
Description of problem:

Opening any folder with media files (videos - photos/videos) blocks

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open system-monitor
2. Open (nautilus) a folder with media content (videos pref.)
3. Look how gst-thumnail process begins growing up...

Last time I reproduced that:

- gst-thumbnail memory went from 20MB to 461MB and then it didn't update.
- HD red light became "always on" and HD sounds like eternal work.
- Impossible to make any task in the computer
- Clock applet didn't update between 01:35 - 01:57 (22 minutes of HD
work, mouse didn't respond, absolut blocked)

I could't take a snapshot while sys-monitor showed the gst-thumbnail
eating memory :-(
Comment 9 cheguaka 2004-06-24 12:32:19 EDT
Shit! can't reproduce the bug...

[root@localhost root]# rpm -qa | grep gst
[root@localhost root]# rpm -qa | grep naut

How many videos? How may pictures?

Comment 10 Zuirdj 2004-06-24 13:26:29 EDT
# rpm -qa | grep gst

# rpm -qa | grep naut

In one folder, I have 7 videos (*.wmv, *.mpg, *.avi). In another, 4
videos (same extensions). In both folders the same lag: ~ 25min.
Comment 11 alan bruce 2004-07-08 01:30:15 EDT
While maybe OT, on RH9 gst-thumbnail shows same symptoms, 100 % cpu
98% ram, but it also uses disk space, to the extent that /home fills
up and I can't delete email or save files etc. I have over 6GB free
under normal circumstances on the drive.


I do have large mpeg2 files on a mounted dos partition ??

I do not need to be opening/veiwing a folder with nautilus for this to
happen. It happens periodically, maybe as a result of anaconda running
a catch up task ?
Comment 12 Jerry 2004-07-19 00:23:53 EDT
I will confirm that this bug is real.  I have not figured out exactly
what is triggering it here.  All i have been doing is viewing an
occaional pdf file and I have some jpeg thumbnails in nautilus.
Comment 13 cheguaka 2004-07-28 07:19:52 EDT
yum update

[root@localhost root]# rpm -qa | grep gst
[root@localhost root]# rpm -qa | grep nautilus
[root@localhost root]# uname -a
Linux localhost.localdomain 2.6.6-1.435.2.3 #1 Thu Jul 1 08:25:29 EDT
2004 i686 i686 i386 GNU/Linux
[root@localhost root]# cat /etc/issue
Fedora Core release 2 (Tettnang)
Kernel \r on an \m

gst-thumbnail sometimes eats lots of cpu, but only sometimes.
Cant reproduce the bug. Anyone?

Comment 14 Colin Walters 2004-09-21 22:56:07 EDT
There have been a few gstreamer and plugins updates for FC2.  Can you
guys still reproduce this bug with those?
Comment 15 Zuirdj 2004-09-23 12:17:59 EDT
I did a clean install of FC3T2 and thumbs in directories diplays OK,
with *wmv, *.jpg, *.png, *.avi, large *.mpg, etc.
Comment 16 cheguaka 2004-09-27 05:46:34 EDT
No I can't reproduce the system lock since ->(Additional Comment #5
From cheguaka  on 2004-02-25 08:43) when I closed the bug first time.
After three reports of bug (#6 #7 #8) I reopened it.

last updates:

[root@localhost root]# uname -a
Linux localhost.localdomain 2.6.8-1.521 #1 Mon Aug 16 09:01:18 EDT
2004 i686 i686 i386 GNU/Linux
[root@localhost root]# rpm -qa | grep gtk2-2

other program version as in -> (Additional Comment #13 From cheguaka 
on 2004-07-28 07:19)
Comment 17 Thilo Pfennig 2004-12-02 06:01:46 EST
I have this phenomenon now for the first time. I did not open any
folder (only the desktop with one text file), but quiet the same! So
there really should be nthing to do for gst-thumbnail?
I am using FC3

Comment 18 John Thacker 2006-04-29 10:35:51 EDT
*** Bug 118856 has been marked as a duplicate of this bug. ***
Comment 19 John Thacker 2006-10-29 17:50:36 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 20 John Thacker 2007-01-12 10:05:18 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.